## ros-kinetic-rqt-gui 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_gui)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS qt_gui)
catkin_package()
catkin_python_setup()

install(PROGRAMS bin/rqt_gui
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES resource/rqt.png
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/resource
)

=== debian/changelog ===
ros-kinetic-rqt-gui (0.5.0-0xenial) xenial; urgency=high

  * version bump to match version of migrated package rqt_py_common

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-kinetic-rqt-gui (0.3.2-0xenial) xenial; urgency=high

  * use Python 3 compatible syntax (#113 <https://github.com/ros-visualization/rqt/pull/113>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-kinetic-rqt-gui (0.3.1-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-gui (0.3.0-0xenial) xenial; urgency=high

  * switch to Qt5 (#106 <https://github.com/ros-visualization/rqt/pull/106>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-rqt-gui (0.2.14-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-kinetic-rqt-gui (0.2.13-0xenial) xenial; urgency=high

  * added hash of ros package path as prefix for plugin manager settings to allow for one cache per package path setting

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 Jan 2014 08:00:00 -0000

ros-kinetic-rqt-gui (0.2.12-0xenial) xenial; urgency=high

  * improve startup time (#88 <https://github.com/ros-visualization/rqt/issues/88>)
  * new icon for rqt

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Oct 2013 07:00:00 -0000

ros-kinetic-rqt-gui (0.2.11-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 06 Sep 2013 07:00:00 -0000

ros-kinetic-rqt-gui (0.2.10-0xenial) xenial; urgency=high

  * add application icon (#82 <https://github.com/ros-visualization/rqt/issues/82>)
  * improve error message when plugin xml file does not exist

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Aug 2013 07:00:00 -0000

ros-kinetic-rqt-gui (0.2.9-0xenial) xenial; urgency=high

  * make plugin resources relative to plugin.xml (ros-visualization/qt_gui_core#16 <https://github.com/ros-visualization/qt_gui_core/issues/16>)
  * use standard rospy function to filter remapping arguments (#76 <https://github.com/ros-visualization/rqt/issues/76>)
  * fix help provider

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Jun 2013 07:00:00 -0000

ros-kinetic-rqt-gui (0.2.8-0xenial) xenial; urgency=high

  * properly ignore ROS remapping arguments when passed in via command line

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jan 2013 08:00:00 -0000

ros-kinetic-rqt-gui (0.2.7-0xenial) xenial; urgency=high

  * first public release for Groovy

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 31 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rqt-gui
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-qt-gui (>= 0.3.0)
Homepage: http://ros.org/wiki/rqt_gui
Standards-Version: 3.9.2

Package: ros-kinetic-rqt-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-catkin, ros-kinetic-qt-gui (>= 0.3.0)
Description: rqt_gui provides the main to start an instance of the ROS integrated graphical user interface provided by qt_gui.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rqt-gui//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
